commerce
POST /v1/refund-requests/{refundRequestId}/reject
Reject a pending refund request (staff).
Uwierzytelnianie
Wyślij klucz API jako token bearer. Klucz musi posiadać uprawnienie billing.refund; klucz bez niego jest odrzucany z kodem 403, a nie 404.
Ten punkt końcowy nie wymaga identyfikatora organizacji. Twój klucz już identyfikuje organizację, do której należy, a odpowiedź jest do niej ograniczona.
Wypróbuj
Zastąp wszystko w nawiasach ostrych własnymi wartościami, a zastępczy znacznik klucza kluczem ze swojego pulpitu nawigacyjnego.
curl -X POST https://api.zinndigital.com/v1/refund-requests/{refundRequestId}/reject \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'Zalogowany? Konsola API w Twoim panelu uzupełnia rzeczywiste identyfikator organizacji oraz Twój własny klucz i wykonuje żądanie względem aktywnego API, dzięki czemu możesz zobaczyć rzeczywistą odpowiedź. Otwórz ten punkt końcowy w konsoli API
Szczegóły
Declines a pending refund request; no money moves. Staff-only — requires `billing.refund`.
Parametry
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
refundRequestId (path) | Uuid | Tak | The refund request's id. |
Treść żądania
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
note | string | Nie | — |
Odpowiedź
| Nazwa | Typ | Wymagane | Co to jest |
|---|---|---|---|
id | Uuid | Tak | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
org_id | Uuid | Tak | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
order_id | Uuid | Tak | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
status | RefundRequestStatus | Tak | A refund request's lifecycle state (docs/05 §4.13). |
policy_class | RefundPolicyClass | Tak | How the refund policy classified a request (captured at request time). |
amount | MoneyAmount | Tak | A money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8). |
to_wallet | boolean | Tak | Refund destination, frozen at request time — `false` (the default) reverses the original payment, `true` credits the account wallet. Any part of the order that was settled from… |
reason | string | Tak | — |
decided_by | string | Tak | — |
decision_note | string | Tak | — |
decided_at | object | Tak | — |
refund_reference | string | Tak | Set once the refund has been issued (its idempotency key). |
created_at | string | Tak | — |
updated_at | string | Tak | — |
Błędy, które ten punkt końcowy może zwrócić
401 · 403 · 404 · 409 · 429